/**
 * Timer
 */
export declare class Timer {
    readonly interval: number;
    readonly minTick: number;
    private _iterateList;
    private _onceList;
    private _id;
    private _t;
    private _alter;
    /**
     * 생성자
     * @param interval interval 시간간격 안에 등록된 callback들이 차례대로 실행된다.
     * @param minTick callback과 callback사이에 최소 시간간격을 설정할 수 있다.
     */
    constructor(interval: number, minTick?: number);
    iterate(callback: (...args: any[]) => void, ...args: any[]): number;
    remove(id: number): boolean;
    once<T>(target: (...args: any[]) => Promise<T>, ...args: any[]): Promise<T>;
    start(): void;
    stop(): void;
    readonly isStarted: boolean;
    private _nextCallback();
    private _do();
}
export default Timer;
