/**
 * test url
 */


import {expect} from 'chai'
import {
  toStringQuery,
} from '../fourdollar'
import * as $4 from '../fourdollar'


describe('Url', () => {
  describe('toStringQuery()', () => {
    it('query가 없을때 ""을 반환한다.', () => {
      expect(toStringQuery({})).to.equal('')
      expect(toStringQuery('' as any)).to.equal('')
    })

    it('query가 하나일때 올바르게 반환한다.', () => {
      let result = toStringQuery({hello: 'world'})
      expect(result).to.equal('hello=world')
    })

    it('query가 하나 이상일때 올바르게 반환한다.', () => {
      let result = toStringQuery({hello: 'world', foo: 'bar'})
      expect(result).to.equal('hello=world&foo=bar')
    })
  })
})